Description
If I try to run a simple function like:

function testReport(event) {

application.output("BEFORE");

var _r = plugins.jasperPluginRMIl.runReport(foundset,"aziende.jasper”,false,"txt",null);
application.output("AFTER");

}

the second print function it's never executed, like if the method throws an exception, but no exception is printed in the console.
| already patched the plugin with the file from iReport 4.5.1, but nothing change.

History

#1 - 09/13/2012 02:42 PM - Andrei Costache
Hi,

A bit late on this one, but have you tried with a report compiled with iReport 4.0.0?
Are there any errors in the log?

Regards,
Andrei

#2 - 09/27/2012 03:25 PM - Armin Schéttner

Hi Andrei,

| have the same problem here, but only on one Server. 4 other Servers work fine.

The Servers all have Servoy 6.1, we use iReport 4.0.0 and compile all reports, before using them (programmaticly).
Do you have a clou, what may block the printing process?

Regards,
Silvio

PS: the Server, which is not working, has a Windows 2003 Server, with Fiducia (i hope it'S spelled right).

#3 - 09/27/2012 03:31 PM - Andrei Costache

Sivlio, if the problem is the same, do you have correct result for something like:

application.output ("BEFORE") ;
var _r = plugins.jasperPluginRMI.runReport (foundset,"aziende. jasper", "aziende.txt", "txt",null);
application.output ("AFTER") ;

Regards,
Andrei

#4 - 09/27/2012 04:50 PM - Armin Schéttner
Hi Andrei,
i did this (with our data, of course) and the second message was never sent ... i've tried output as PDF, direct printing, preview.
On our own server, which is a Windows Server 2008 R2, i don't have this problem, it does, what it is supposed to do.
application.output ("before compile")

plugins. jasperPluginRMI.compileReport (printName + '.Jjrxml')

application.output ("after compile")

plugins. jasperPluginRMI.runReport (FoundSet, printName + '.Jjasper', lcPrinter, ViewType, Parameter)
application.output ("after print")

the 3rd one never came on the Server 2003.
Maybe you have a clou, but i don't know, what could block the report from being printed. The foundset had Records.
Regards,

Silvio

#5 - 09/27/2012 05:02 PM - Andrei Costache

Can you try without the compile phase? just test if runReport on the jrxml works.
Also, just for the record, what scripting language do you have for the reports?

Regards,
Andrei

#6 - 09/27/2012 05:28 PM - Armin Schéttner

i will test that, when i'm a with our customer, again ... on our own systems, everything works fine :-)
the reports are with java as scripting language.

Regards,

Silvio

#7 - 11/27/2012 09:39 AM - Andrei Costache

- Status changed from New to Feedback

Silvio, not sure if you were able to try this again.
Please update this current case with necessary info when it's possible. Also please try using, 3.3.0 (final version - not sure if you still used beta when
testing this) and iReport 4.0.0 for this.

Regards,
Andrei

#8 - 03/11/2013 08:54 AM - Andrei Costache
Hi,
Any updates - is this problem still present?

Regards,
Andrei

#9 - 03/11/2013 09:48 AM - Andrei Costache
- Status changed from Feedback to Closed

If this issue is still present with the suggested solution/version of the plugin, please reopen the case.

Regards,
Andrei

04/28/2025 22


http://www.tcpdf.org

